﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using System.Web.UI.WebControls;
using System.Configuration.Provider;
using System.Xml.Linq;
using Formsy.Common;


namespace Formsy.Providers.PrePopulate
{
    public abstract class PrePopulateProvider : ProviderBase
    {
        public abstract void PrePopulate(List<FormField> formFields, XElement parameters);
    
    }


    public class PrePopulateProviderCollection : ProviderCollection
    {
        // Return an instance of DataProvider
        // for a specified provider name
        new public PrePopulateProvider this[string name]
        {
            get { return (PrePopulateProvider)base[name]; }
        }
    }
}

