﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using System.Web.UI.WebControls;
using System.Configuration.Provider;
using Formsy.Common;
using System.Web.UI;


namespace Formsy.Providers.Validation
{
    public abstract class ValidationProvider : ProviderBase
    {
        public abstract bool Validate(Control formEngine, List<FormField> formFields, Dictionary<string, string> fields);
    }


    public class ValidationProviderCollection : ProviderCollection
    {
        // Return an instance of ValidationProvider
        // for a specified provider name
        new public ValidationProvider this[string name]
        {
            get { return (ValidationProvider)base[name]; }
        }
    }
}

