﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace Formsy.Config.Providers
{
    public class DataSourceProviderSettings : ConfigurationSection
    {
        [ConfigurationProperty("providers")]
        public ProviderSettingsCollection Providers
        {
            get
            {
                return (ProviderSettingsCollection)base["providers"];
            }
        }

        [ConfigurationProperty("Default", DefaultValue = "SqlProvider")]
        public string Default
        {
            get
            {
                return (string)base["Default"];
            }
            set
            {
                base["Default"] = value;
            }
        }
    }
}
